# Interface IPackageExportDescription

public interface IPackageExportDescription
Describes a package export. Instances of this class can be created via `IBundleProjectService.newPackageExport(String, Version, boolean, String[])`.

Since:
  3.6
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`SortedSet<String>`
`friends()`
Returns the declared friends of this package.
`default String[]`
`getFriends()`
Deprecated.
Instead use `friends()`
`default String`
`getName()`
Deprecated.
Instead use `name()`
`default Version`
`getVersion()`
Deprecated.
Instead use `version()`
`boolean`
`isApi()`
Returns whether the package is exported as API, or is internal.
`String`
`name()`
Returns the fully qualified name of the exported package.
`Version`
`version()`
Returns the version of the exported package or `null` if unspecified.

## Method Details

### name

String name()
Returns the fully qualified name of the exported package.

Returns:
  fully qualified name of the exported package
Since:
  3.19

### getName

@Deprecated(since="3.19") default String getName()
Deprecated.
Instead use `name()`

### version

Version version()
Returns the version of the exported package or `null` if unspecified.

Returns:
  version or `null`
Since:
  3.19

### getVersion

@Deprecated(since="3.19") default Version getVersion()
Deprecated.
Instead use `version()`

### friends

SortedSet<String> friends()
Returns the declared friends of this package.

Returns:
  friends as bundle symbolic names, may be empty
Since:
  3.19

### getFriends

@Deprecated(since="3.19") default String[] getFriends()
Deprecated.
Instead use `friends()`

### isApi

boolean isApi()
Returns whether the package is exported as API, or is internal.

Returns:
  whether the package is exported as API